<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
<!ENTITY docbook.dsl SYSTEM "d:\tmp\db108b7\docbook\print\docbook.dsl" CDATA DSSSL>
]>

<style-specification id="cookbook" use="docbook">

;; $Id: db.dsl,v 1.2 1998/05/10 19:41:19 tkg Exp $
;;
;; Example of a customization layer on top of the modular docbook style
;; sheet.  Definitions inserted in this file take precedence over 
;; definitions in the 'use'd stylesheet(s).

(element FUNCTION ($mono-seq$))

(element APPLICATION ($mono-seq$))

(element FILENAME ($mono-seq$))

(element OPTION ($mono-seq$))

(element REVHISTORY
	 (empty-sosofo))

(element (DOCINFO AUTHOR)
	 (make paragraph
	       font-posture: 'italic))

(element (DOCINFO AUTHOR FIRSTNAME)
	 (make sequence
	       (if (absolute-first-sibling?)
		   (empty-sosofo)
		   (literal " "))
	       (process-children)))

(element (DOCINFO AUTHOR SURNAME)
	 (make sequence
	       (if (absolute-first-sibling?)
		   (empty-sosofo)
		   (literal " "))
	       (process-children)))

(element (DOCINFO AUTHOR CONTRIB)
	 (make sequence
	       (if (absolute-first-sibling?)
		   (empty-sosofo)
		   (literal "; "))
	       (process-children)))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Borrowed from dbparam.dsl (part of db distribution)

(define %sect-page-break-before-level% 0)
(define %max-toc-sect-level% 1)
(define %verbatim-size-factor% 0.75)
(define %chapter-autolabel% #f)
(define %refentry-keep% #f)

(define %generate-book-lot-list% '())

;; Refentry function indicates whether or not REFENTRYs are for functions.
;; If true, "()" is automatically generated after the title.
;;
(define %refentry-function% #f)
(define %body-start-indent% 0pi)

(define %bf-size%
  (case %visual-acuity%
	(("normal") 12pt)
	(("presbyopic") 12pt)
	(("large-type") 24pt)))

;(define ($process-cell$ entry overhang)
;  (let* (
;;;	 (celldebug (debug (string-append 
;;;			  (number->string (cell-column-number entry overhang))
;;;			  " "
;;;			  (data entry))))
;	 (colnum (cell-column-number entry overhang)))
;    (make table-cell 
;      column-number: colnum
;      n-columns-spanned: (hspan entry)
;      n-rows-spanned: (vspan entry)
;
;      cell-row-alignment: (cell-valign entry colnum)
;      cell-after-column-border: (cell-colsep entry colnum)
;      cell-after-row-border: (cell-rowsep entry colnum)
;      cell-before-row-margin: %cals-cell-before-row-margin%
;      cell-after-row-margin: %cals-cell-after-row-margin%
;      cell-before-column-margin: %cals-cell-before-column-margin%
;      cell-after-column-margin: %cals-cell-after-column-margin%
;      start-indent: %cals-cell-content-start-indent%
;      end-indent: %cals-cell-content-end-indent%
;      (if (equal? (gi entry) "ENTRYTBL")
;	  (make paragraph 
;	    (literal "ENTRYTBL not supported."))
;	  (let ((font-name (if (have-ancestor? "THEAD" entry)
;			       %title-font-family%
;			       %body-font-family%))
;		(weight    (if (have-ancestor? "THEAD" entry)
;			       'bold
;			       'medium))
;		(align     (cell-align entry colnum)))
;	    (make sequence
;		  font-family-name: font-name
;		  font-weight: weight
;		  quadding: align
;		  (process-node-list (children entry))))))))

;(define %cell-block-element-list%
;  `(;; ("FOO" . ,$process-foo$)
;    ("PARA" . ,$process-cell-para-contents$)
;    ("PROGRAMLISTING" . ,$my-process-cell-para-contents$)
;    ))

;(define ($my-process-cell-para-contents$ node colnum align body)
;  (let ((font-name (case body
;		     (("THEAD") %title-font-family%)
;		     (("TFOOT") %title-font-family%)
;		     (else  %body-font-family%)))
;	(weight    (case body
;		     (("THEAD") 'bold)
;		     (("TFOOT") 'bold)
;		     (else  'medium))))
;    (make sequence
;      font-family-name: font-name
;      font-weight: weight
;      quadding: align
;      (process-node-list node))))
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Table rule stuff
;;(define %table-border% #f)
(define %table-before-row-border% 1.5pt)
(define %table-after-row-border% 1.5pt)
(define %table-before-column-border% 0pt)
(define %table-after-column-border% 0pt)
(define %table-head-body-border% 1.5pt)
(define %table-cell-after-column-border% 0pt)
(define %table-cell-after-row-border% 0.75pt)

;(define calc-table-before-row-border
;  (if (boolean? %table-before-row-border%)
;      %table-before-row-border%
;      (let ((border-width %table-before-row-border%))
;	(make table-border
;	      line-thickness: border-width))))
;
;(define calc-table-after-row-border
;  (if (boolean? %table-after-row-border%)
;      %table-after-row-border%
;      (let ((border-width %table-after-row-border%))
;	(make table-border
;	      line-thickness: border-width))))
;
;(define calc-table-before-column-border
;  (if (boolean? %table-before-column-border%)
;      %table-before-column-border%
;      (let ((border-width %table-before-column-border%))
;	(make table-border
;	      line-thickness: border-width))))
;
;(define calc-table-after-column-border
;  (if (boolean? %table-after-column-border%)
;      %table-after-column-border%
;      (let ((border-width %table-after-column-border%))
;	(make table-border
;	      line-thickness: border-width))))
;
;(define calc-table-head-body-border
;  (if (boolean? %table-head-body-border%)
;      %table-head-body-border%
;      (let ((border-width %table-head-body-border%))
;	(make table-border
;	      line-thickness: border-width))))
;
;(define calc-table-cell-after-column-border
;  (if (boolean? %table-cell-after-column-border%)
;      %table-cell-after-column-border%
;      (let ((border-width %table-cell-after-column-border%))
;	(make table-border
;	      line-thickness: border-width))))
;
;(define calc-table-cell-after-row-border
;  (if (boolean? %table-cell-after-row-border%)
;      %table-cell-after-row-border%
;      (let ((border-width %table-cell-after-row-border%))
;	(make table-border
;	      line-thickness: border-width))))

</style-specification>

<external-specification id="docbook" document="docbook.dsl">

